Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get relation

Gets a single relation including its products.

GET/api/v2/{team_slug}/{app_slug}/relations/{relation_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
relation_idstring<uuid>required
Responses
200

OK

dataRelationrequired
Show properties
idUUIDrequired
titlestringrequired
typestringrequired
type_idUUIDrequired
directionstringrequired
primary_product_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
productsRelationProduct[] | null
Show properties
Array of RelationProduct
idstringrequired
product_namestring
descriptionstring
product_numberstring
slugstring
image_urlstring | null
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
404

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/relations/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "title": "string",
    "type": "string",
    "type_id": "d9779ea4-ba95-4824-86d7-4f1ac083a564",
    "direction": "string",
    "primary_product_id": "7a85a404-d868-4693-9493-c9cd5be375b7",
    "products": [
      {
        "id": "string",
        "product_name": "string",
        "description": "string",
        "product_number": "string",
        "slug": "string",
        "image_url": "string"
      }
    ]
  }
}